Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp
Class ResidualCalculator

    java.lang.Object
      com.sun.msv.verifier.regexp.ResidualCalculator

All Implemented Interfaces:
  ExpressionVisitorExpression

public class ResidualCalculator
extends java.lang.Object
implements ExpressionVisitorExpression

computes regular expression derivative. this class receives a regexp and computes the right language after eating given token.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`ResidualCalculator(ExpressionPool pool)`

Method Summary
`Expression` | `calcResidual(Expression exp, Token token)` compute the residual
`Expression` | `onAnyString()`
`Expression` | `onAttribute(AttributeExp exp)`
`Expression` | `onChoice(ChoiceExp exp)`
`Expression` | `onConcur(ConcurExp exp)`
`Expression` | `onData(DataExp exp)`
`Expression` | `onElement(ElementExp exp)`
`Expression` | `onEpsilon()`
`Expression` | `onInterleave(InterleaveExp exp)`
`Expression` | `onList(ListExp exp)`
`Expression` | `onMixed(MixedExp exp)`
`Expression` | `onNullSet()`
`Expression` | `onOneOrMore(OneOrMoreExp exp)`
`Expression` | `onOther(OtherExp exp)`
`Expression` | `onRef(ReferenceExp exp)`
`Expression` | `onSequence(SequenceExp exp)`
`Expression` | `onValue(ValueExp exp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResidualCalculator

    public ResidualCalculator(ExpressionPool pool)

Method Detail

### calcResidual

    public final Expression calcResidual(Expression exp,
                                         Token token)

  compute the residual

### onAttribute

    public Expression onAttribute(AttributeExp exp)

  Specified by:
    `onAttribute` in interface `ExpressionVisitorExpression`

### onChoice

    public Expression onChoice(ChoiceExp exp)

  Specified by:
    `onChoice` in interface `ExpressionVisitorExpression`

### onElement

    public Expression onElement(ElementExp exp)

  Specified by:
    `onElement` in interface `ExpressionVisitorExpression`

### onOneOrMore

    public Expression onOneOrMore(OneOrMoreExp exp)

  Specified by:
    `onOneOrMore` in interface `ExpressionVisitorExpression`

### onMixed

    public Expression onMixed(MixedExp exp)

  Specified by:
    `onMixed` in interface `ExpressionVisitorExpression`

### onEpsilon

    public Expression onEpsilon()

  Specified by:
    `onEpsilon` in interface `ExpressionVisitorExpression`

### onNullSet

    public Expression onNullSet()

  Specified by:
    `onNullSet` in interface `ExpressionVisitorExpression`

### onAnyString

    public Expression onAnyString()

  Specified by:
    `onAnyString` in interface `ExpressionVisitorExpression`

### onRef

    public Expression onRef(ReferenceExp exp)

  Specified by:
    `onRef` in interface `ExpressionVisitorExpression`

### onOther

    public Expression onOther(OtherExp exp)

  Specified by:
    `onOther` in interface `ExpressionVisitorExpression`

### onSequence

    public Expression onSequence(SequenceExp exp)

  Specified by:
    `onSequence` in interface `ExpressionVisitorExpression`

### onData

    public Expression onData(DataExp exp)

  Specified by:
    `onData` in interface `ExpressionVisitorExpression`

### onValue

    public Expression onValue(ValueExp exp)

  Specified by:
    `onValue` in interface `ExpressionVisitorExpression`

### onList

    public Expression onList(ListExp exp)

  Specified by:
    `onList` in interface `ExpressionVisitorExpression`

### onConcur

    public Expression onConcur(ConcurExp exp)

  Specified by:
    `onConcur` in interface `ExpressionVisitorExpression`

### onInterleave

    public Expression onInterleave(InterleaveExp exp)

  Specified by:
    `onInterleave` in interface `ExpressionVisitorExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD